Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.span
Class SidebarSpan

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.Span
                  multivalent.std.span.SidebarSpan

All Implemented Interfaces:
  ContextListener, EventListener, java.util.EventListener

public class SidebarSpan
extends Span

UNDER DEVELOPMENT. Sidebar - draw side bar as defined by span. not perfect during repaints

Version:
  $Revision: 1.2 $ $Date: 2002/02/02 13:16:27 $

Field Summary

Fields inherited from class multivalent.Span
`GI_END, GI_START, MSG_DELETE, MSG_EDIT, MSG_MORPH, MSG_UNATTACHED, pend, pstart`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`SidebarSpan()`

Method Summary
`boolean` | `appearance(Context cx, boolean all)` Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn.
`void` | `destroy()` Removes span from document and its layer.
`void` | `move(Leaf ln, int lo, Leaf rn, int ro)` Save move, for interactive use: selection, annotations.
`boolean` | `paintAfter(Context cx, Node n)` A tree walk protocol, called before observed node has been painted.
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations.

Methods inherited from class multivalent.Span
`buildAfter, checkRep, close, closeAll, contains, contains, event, getEnd, getPriority, getStart, isSet, markDirty, move, move, moveq, moveq, moveq, moveqSwap, open, repaint, repaint, save, semanticEventAfter, semanticEventBefore, stretch, toString`

Methods inherited from class multivalent.Behavior
`buildBefore, clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintBefore, putPreference, redo, restoreChildren, setName, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SidebarSpan

    public SidebarSpan()

Method Detail

### paintAfter

    public boolean paintAfter(Context cx,
                              Node n)

  Description copied from class: `Behavior`
  A tree walk protocol, called before observed node has been painted. Called in same coordinate space as node's painting. Use to draw annotations at node's location. For instance, Search uses this to decorate the scrollbar (a type of node) with location of matches.

  Overrides:
    `paintAfter` in class `Behavior`

### appearance

    public boolean appearance(Context cx,
                              boolean all)

  Description copied from interface: `ContextListener`
  Resets the graphics context every time the object is added to or dropped from the set active over the portion of the document being drawn. These behaviors can come from the style sheet, be ad hoc spans, be lenses, or come from elsewhere. Should be fast.

  Specified by:
    `appearance` in interface `ContextListener`
  Overrides:
    `appearance` in class `Span`
    `all` - all attributes or exclude those that are not inherited

### move

    public void move(Leaf ln,
                     int lo,
                     Leaf rn,
                     int ro)

  Description copied from class: `Span`
  Save move, for interactive use: selection, annotations. Sets start point < end point, handles necessary reformatting and repainting. Reformats both old range and new range, as with style sheets and hardcode in subclasses, can't tell when that's not necessary. (Or, moveq() + swapping endpoints if necessary + reformatting/repainting.)

  Overrides:
    `move` in class `Span`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Span`
  Given ESIS subtree, pluck class-specific information from attributes, call super.restore() for locations. Attributes named `start` and `end` are reserved to hold Robust Location data.

  Overrides:
    `restore` in class `Span`
  See Also:
    `RobustLocation`

### destroy

    public void destroy()

  Description copied from class: `Span`
  Removes span from document and its layer. Different from moveq(null), which removes from document tree but not from layer. If caller will handle all reformatting and repainting, as during a batch destory(), first moveq(null) on span.

  Overrides:
    `destroy` in class `Span`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD